%global owner Commonjava
%global modulename charon

%global charon_version 1.4.0
%global sdist_tar_name %{modulename}-%{charon_version}

%global python3_pkgversion 3

Name:     %{modulename}
Summary:  Charon CLI
Version:  charon.1.4.0
Release:  1.20250628092418281023.pr333.30.gd8c8d0b%{?dist}
URL:      https://github.com/%{owner}/%{modulename}
Source0:  charon-charon.1.4.0.tar.gz
Provides: %{modulename} = %{version}-%{release}

Group:    Development/Tools
License:  APLv2

# Build Requirements
BuildArch: x86_64

BuildRequires: python%{python3_pkgversion}-setuptools
BuildRequires: python%{python3_pkgversion}-devel

Requires: python%{python3_pkgversion}-jinja2
Requires: python%{python3_pkgversion}-boto3
Requires: python%{python3_pkgversion}-botocore
Requires: python%{python3_pkgversion}-click
Requires: python%{python3_pkgversion}-requests
Requires: python%{python3_pkgversion}-pyyaml
Requires: python%{python3_pkgversion}-defusedxml
Requires: python%{python3_pkgversion}-subresource-integrity
Requires: python%{python3_pkgversion}-jsonschema
Requires: python%{python3_pkgversion}-urllib3
Requires: python%{python3_pkgversion}-semantic-version

%description
Simple Python tool with command line interface for charon init,
upload, delete, gen and ls functions.

%prep
%autosetup -p1 -n charon-charon.1.4.0

%build
# Disable debuginfo packages
%define _enable_debug_package 0
%define debug_package %{nil}
%py3_build


%install
export LANG=en_US.UTF-8 LANGUAGE=en_US.en LC_ALL=en_US.UTF-8
%py3_install


%files
%defattr(-,root,root)
%doc README.md
%{_bindir}/%{modulename}*
%{python3_sitelib}/*
%{!?_licensedir:%global license %doc}
%license LICENSE


%changelog
* Sat Jun 28 2025 Packit <hello@packit.dev> - charon.1.4.0-1.20250628092418281023.pr333.30.gd8c8d0b
- Update dependency oras to <=0.2.37 (red-hat-konflux[bot])
- chore(deps): update konflux references (red-hat-konflux[bot])
- Red Hat Konflux update charon Signed-off-by: red-hat-konflux <konflux@no-reply.konflux-ci.dev> (red-hat-konflux)
- Red Hat Konflux update charon Signed-off-by: red-hat-konflux <konflux@no-reply.konflux-ci.dev> (red-hat-konflux)
- Red Hat Konflux purge charon Signed-off-by: red-hat-konflux <konflux@no-reply.konflux-ci.dev> (red-hat-konflux)
- Konflux build pipeline service account migration for charon Signed-off-by: konflux <konflux@no-reply.konflux-ci.dev> (konflux)
- Update version to 1.3.3 (Gang Li)
- fix: MMENG-4284 npm del error when deleting a package which has overlapped name with others (Gang Li)
- Enable test_check_invalidation for CloudFront test (Gang Li)
- Enable mypy types check and fix reported issues (Gang Li)
- Add Makefile (Gang Li)
- chore: fix a return value and a var declare issue (Gang Li)
- chore: fixed a api doc and added some comments (Gang Li)
- Replace space in error log file name of product and version (Gang Li)
- Add config option to be able to use non-default charon configuration (Gang Li)
- Update charon.spec to remove transitive deps (Gang Li)
- Red Hat Konflux update charon Signed-off-by: red-hat-konflux <konflux@no-reply.konflux-ci.dev> (red-hat-konflux)
- Red Hat Konflux purge charon Signed-off-by: red-hat-konflux <konflux@no-reply.konflux-ci.dev> (red-hat-konflux)
- Red Hat Konflux update charon Signed-off-by: red-hat-konflux <konflux@no-reply.konflux-ci.dev> (red-hat-konflux)

* Fri Jun 27 2025 Gang Li <gli@redhat.com>
- 1.4.0 release
- Add RADAS signature support

* Mon Jun 23 2025 Gang Li <gli@redhat.com>
- 1.3.4 release
- Fix the sorting problem of index page items

* Mon Dec 16 2024 Gang Li <gli@redhat.com>
- 1.3.3 release
- Fix npm del error when deleting a package which has overlapped name with others
- Some code refinement

* Thu Jul 11 2024 Gang Li <gli@redhat.com>
- 1.3.2 release
- Some updates in the Containerfile.

* Tue May 7 2024 Gang Li <gli@redhat.com>
- 1.3.1 release
- Add checksum refresh command: refresh checksum files for maven artifacts
- Refactor the CF invalidating commands into cf sub command

* Fri Apr 12 2024 Gang Li <gli@redhat.com>
- 1.3.0 release
- Add validate command: validate the checksum for maven artifacts
- Add index command: support to re-index of the speicified folder
- Add CF invalidating features:
  - Invalidate generated metadata files (maven-metadata*/package.json/index.html) after product uploading/deleting in CloudFront
  - Add command to do CF invalidating and checking
- Fix bug: picking the root package.json as the first priority one to generate npm package path

* Mon Sep 18 2023 Harsh Modi <hmodi@redhat.com>
- 1.2.2 release
- hot fix for "dist_tags" derived issue

* Wed Sep 13 2023 Harsh Modi <hmodi@redhat.com>
- 1.2.1 release
- Fix the aws list objects max 1000 limit issue
- Fix the "dist_tags" issue in npm metadata generation

* Thu Jun 29 2023 Harsh Modi <hmodi@redhat.com>
- 1.2.0 release
- Add maven repository artifact signature feature

* Tue Sep 20 2022 Harsh Modi <hmodi@redhat.com>
- 1.1.2 release
- add configuration schema and validation
- allow specifying multiple target buckets

* Thu Aug 25 2022 Harsh Modi <hmodi@redhat.com>
- 1.1.1 release
